Retrieve for executor operators

Retrieves an expanded task group with optional related data for executor operators (the provider org doing the work on this task group). | authz_personas=[executor_org_operators] | (OrderAndTaskGroupExpandedReq) -> (TaskGroupExpanded)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

task_group_idstringRequired

Request

This endpoint expects an object.
expand_coordinator_org_company_namebooleanOptionalDefaults to false
expand_coordinator_org_handlebooleanOptionalDefaults to false
expand_shipper_org_company_namebooleanOptionalDefaults to false
expand_off_chrt_shipper_org_company_namebooleanOptionalDefaults to false
expand_notification_intents_ad_hocbooleanOptionalDefaults to false
expand_tasksbooleanOptionalDefaults to false
expand_cargosbooleanOptionalDefaults to false
expand_task_artifactsbooleanOptionalDefaults to false
expand_directory_entriesbooleanOptionalDefaults to false
expand_driverbooleanOptionalDefaults to false
expand_executor_org_company_namebooleanOptionalDefaults to false
expand_executor_org_handlebooleanOptionalDefaults to false

Response

Successful Response
task_groupobject
tasks_expandedlist of objects
driverobject
executor_org_idstring

Must be a string starting with org_

executor_org_company_namestring
executor_org_handlestringformat: "^@[a-zA-Z0-9_-]+$"2-30 characters

Must be a string starting with @. May only contain a-z, A-Z, 0-9, _, -. May not be longer than 30 characters.

coordinator_org_idstring

Must be a string starting with org_

coordinator_org_company_namestring
coordinator_org_handlestringformat: "^@[a-zA-Z0-9_-]+$"2-30 characters

Must be a string starting with @. May only contain a-z, A-Z, 0-9, _, -. May not be longer than 30 characters.

shipper_org_idstring

Must be a string starting with org_

shipper_org_company_namestring
off_chrt_shipper_org_idstring
off_chrt_shipper_org_company_namestring

Errors

422
Expanded for Executor Operators V1request Unprocessable Entity Error